List verification requests

Returns a paginated list of all verification requests for the authenticated grantmaker.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

einstringOptional
Filter by EIN. If provided, only returns verification requests matching this EIN.
page_limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
A token to use to retrieve the next page of results.

Response

The response for VerificationRequests.list
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the page_token). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error